#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 10. Graphics and Font Libraries

- Prev

  mypaint-brushes-1.3.1

- Next

  opencv-4.5.5

- Up
- Home

# newt-0.52.21

## Introduction to newt

Newt is a programming library for color text mode, widget based user interfaces. It can be used to add stacked windows, entry widgets, checkboxes, radio buttons, labels, plain text fields, scrollbars, etc., to text mode user interfaces. Newt is based on the S-Lang library.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://releases.pagure.org/newt/newt-0.52.21.tar.gz

- Download MD5 sum: a0a5fd6b53bb167a65e15996b249ebb5

- Download size: 172 KB

- Estimated disk space required: 6.4 MB

- Estimated build time: less than 0.1 SBU

### Newt Dependencies

#### Required

popt-1.18 and slang-2.3.2

#### Recommended

GPM-1.20.7 (runtime)

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/newt

## Installation of newt

Install newt by running the following command:

    sed -e 's/^LIBNEWT =/#&/'                   \
        -e '/install -m 644 $(LIBNEWT)/ s/^/#/' \
        -e 's/$(LIBNEWT)/$(LIBNEWTSONAME)/g'    \
        -i Makefile.in                          &&

    ./configure --prefix=/usr           \
                --with-gpm-support      \
                --with-python=python3.10 &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

sed -e ... -i Makefile.in: Disables installation of a static library.

`--with-gpm-support`: This switch enables mouse support for newt applications through GPM.

`--with-python=python3.10`: By giving explicitly the name of the directory where python modules reside, this switch prevents building the python2 module.

## Contents

Installed Programs: whiptail
Installed Library: libnewt.so, whiptcl.so, and /usr/lib/python3.10/site-packages/_snack.so
Installed Directories: None

### Short Descriptions

whiptail | displays dialog boxes from shell scripts
`libnewt.so` | is the library for color text mode, widget based user interfaces

Last updated on

- Prev

  mypaint-brushes-1.3.1

- Next

  opencv-4.5.5

- Up
- Home